curl --request GET \
--url https://api.aisa.one/apis/v1/brave/suggest/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/brave/suggest/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/brave/suggest/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": {
"original": "<string>"
},
"type": "suggest",
"results": []
}Suggest
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求头
The default supported media type is application/json.
application/json, */* "application/json"
The API version to use. This is denoted by the format YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.
Brave Search will return cached content by default. To prevent caching set the Cache-Control header to no-cache. This is currently done as best effort.
no-cache "no-cache"The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.
查询参数
The number of suggestion search results returned in response. The actual number of results delivered may be less than requested. Minimum is 1, maximum is 20. The default is 5.
1 <= x <= 20The suggest search query country, where potentially the results could come from. The country string is limited to 2 character country codes of supported countries. This is a just a hint for calculating suggest responses.
AR, AU, AT, BE, BR, CA, CL, DK, FI, FR, DE, GR, HK, IN, ID, IT, JP, KR, MY, MX, NL, NZ, NO, CN, PL, PT, PH, RU, SA, ZA, ES, SE, CH, TW, TR, GB, US, ALL The suggest search language preference, where potentially the results could come from. The 2 or more character language code for which the suggest search results are provided. This is a just a hint for calculating suggest responses.
ar, eu, bn, bg, ca, zh-hans, zh-hant, hr, cs, da, nl, en, en-gb, et, fi, fr, gl, de, el, gu, he, hi, hu, is, it, ja, jp, kn, ko, lv, lt, ms, ml, mr, nb, pl, pt-br, pt-pt, pa, ro, ru, sr, sk, sl, es, sv, ta, te, th, tr, uk, vi The user’s suggest search query term. Query can not be empty. The max query length is 400 characters, and the word limit is 50 words.
1 - 400Whether to enhance suggestions with rich results. This requires a paid autosuggest subscription.
响应
Successful Response